Page MenuHomeFreeBSD

Add FLAVOR support for ruby- ports
Needs ReviewPublic

Authored by swills on Dec 2 2017, 3:32 AM.

Details

Reviewers
None
Group Reviewers
portmgr
Summary

Add support to bsd.ruby.mk for FLAVORS of ruby- ports. Note that flavors for
rubygem- ports are separate, although this does add flavors for devel/ruby-gems
as both an example and prerequisite for rubygem- FLAVORS.

Test Plan

Manual testing

Diff Detail

Lint
Lint Skipped
Unit
Unit Tests Skipped
Build Status
Buildable 26649
Build 25023: arc lint + arc unit

Event Timeline

swills created this revision.Dec 2 2017, 3:32 AM
swills updated this revision to Diff 36091.Dec 2 2017, 4:47 AM

Minor fixup and add support for rubygem- flavors

swills updated this revision to Diff 36093.Dec 2 2017, 4:55 AM

Check USES is set before referencing it

swills updated this revision to Diff 36112.Dec 2 2017, 3:28 PM

Remove USES check since it breaks index

mat added inline comments.Dec 4 2017, 12:53 PM
devel/ruby-gems/Makefile
60–64

This could probably be better handled with USES=uniquefiles, no ?

swills marked an inline comment as done.Dec 19 2017, 2:18 PM
swills added inline comments.
devel/ruby-gems/Makefile
60–64

After discussion elsewhere (irc), uniquefiles doesn't seem like the right solution here.

swills marked 2 inline comments as done.Dec 19 2017, 2:29 PM
pi added a subscriber: pi.Mon, Sep 16, 7:12 PM
meta added a subscriber: meta.Tue, Sep 17, 12:24 AM
swills updated this revision to Diff 62274.Wed, Sep 18, 5:53 PM

Work in progress

This is work in progress at the moment. The ruby- flavors seem fine. Started on the rubygem- flavors, but am running into an issue. I started with devel/rubygem-glib2 as an example port to test the deps. All the flavors of devel/rubygem-pkg-config build fine on all versions. The issue I'm running into is that for devel/rubygem-native-package-installer, the rubygem24 and rubygem26 flavors fail on 11.2 in poudriere. The issue seems to be an error with make, tho I'm not sure as it's hard to track down. I'll do some more testing, but wanted to share what I've done so far for others to review.

swills updated this revision to Diff 62467.Mon, Sep 23, 2:19 PM

More work in progress

swills updated this revision to Diff 62469.Mon, Sep 23, 2:21 PM

More work in progress